%define	major 3
%define libname %mklibname osptk %{major}
%define develname %mklibname osptk -d

Summary:	The OSP Toolkit(tm)
Name:		osptoolkit
Version:	3.4.2
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://sourceforge.net/projects/osp-toolkit
Source0:	http://dfn.dl.sourceforge.net/sourceforge/osp-toolkit/osptoolkit_%{version}.orig.tar.gz
Patch0:		osptoolkit_3.4.2-1.diff
Patch1:		osptoolkit-ldflags.diff
BuildRequires:	openssl-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The OSP Toolkit is a complete development kit for software developers who want
to implement the client side of the European Telecommunication Standards
Institute's (ETSI) Open Settlement Protocol. The OSP Toolkit includes source
code written in ANSI C, test tools and extensive documentation on how to
implement OSP. A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

%package -n	%{libname}
Summary:	The OSP Toolkit(tm) shared library
Group:          System/Libraries

%description -n	%{libname}
The OSP Toolkit is a complete development kit for software developers who want
to implement the client side of the European Telecommunication Standards
Institute's (ETSI) Open Settlement Protocol. The OSP Toolkit includes source
code written in ANSI C, test tools and extensive documentation on how to
implement OSP. A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

%package -n	%{develname}
Summary:	Static library and header files for the libosp library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libosp-devel = %{version}
Provides:	osp-devel = %{version}
Provides:	osptk-devel = %{version}
Obsoletes:	%{mklibname osp 0 -d}
Obsoletes:	%{mklibname osptk 0 -d}

%description -n	%{develname}
The OSP Toolkit is a complete development kit for software developers who want
to implement the client side of the European Telecommunication Standards
Institute's (ETSI) Open Settlement Protocol. The OSP Toolkit includes source
code written in ANSI C, test tools and extensive documentation on how to
implement OSP. A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.   

This package contains the static libosp library and its header files.

%package -n	osp-tools
Summary:	Various utilities for the libosptk library
Group:		System/Servers

%description -n	osp-tools
This package contains various utilities utilizing the libosptk library.

%prep

%setup -q -n TK-3_4_2-20071227
%patch0 -p1
%patch1 -p0


# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"
find -name "Makefile" | xargs perl -pi -e "s|/lib\b|/%{_lib}|g"

%build

%make build VERSION="%{version}" MAJOR="%{major}" ADDFLAGS="%{optflags}"
%make enroll VERSION="%{version}" MAJOR="%{major}" ADDFLAGS="%{optflags}"
%make test VERSION="%{version}" MAJOR="%{major}" ADDFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/pkgconfig
install -d %{buildroot}%{_includedir}/osp

libtool --mode=install install -m0755 lib/libosptk.la %{buildroot}%{_libdir}/libosptk.la
libtool --mode=install install -m0755 bin/test_app %{buildroot}%{_bindir}/osp-test_app
libtool --mode=install install -m0755 bin/enroll %{buildroot}%{_bindir}/osp-enroll

install -m0644 include/osp/*.h %{buildroot}%{_includedir}/osp/
install -m0644 debian/libosptk3.pc %{buildroot}%{_libdir}/pkgconfig/

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE.txt README.txt RELNOTES.txt debian/osptoolkit.txt
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc test/nonblocking.[ch]
%{_includedir}/osp
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%files -n osp-tools
%defattr(-,root,root)
%doc bin/enroll.sh bin/test.cfg bin/openssl.cnf bin/.rnd
%{_bindir}/osp-test_app
%{_bindir}/osp-enroll


%changelog
* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 3.4.2-1mdv2009.0
+ Revision: 233094
- 3.4.2

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 20 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.6-3mdv2007.0
+ Revision: 71326
- fix linkage
- bunzip patches
- fix linkage (pthread)
- Import osptoolkit

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.6-2mdv2007.0
- use a working url for the source location

* Thu Mar 23 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.6-1mdk
- 3.3.6

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 3.3.4-1mdk
- 3.3.4

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.3-3mdk
- rebuilt against openssl-0.9.8a

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.3-2mdk
- fix compilation (gwenole)
- fix deps due new libname

* Wed Nov 02 2005 Stefan van der Eijk <stefan@eijk.nu> 3.3.3-1mdk
- %%mkrel
- 3.3.3

* Sat Sep 03 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-4mdk
- rebuild
- use sane deps names

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-3mdk
- rebuilt with gcc4

* Fri Apr 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-2mdk
- fix deps

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.3.1-1mdk
- initial Mandrakelinux package

